Subject: Re: bug#21368: 25.0.50; Core navigation commands fail in a multi-line intangible text with fringe

From: Wolfgang Jenkner <[email-masked]>
Date: Sat, 29 Aug 2015 23:53:49 +0200

On Sat, Aug 29 2015, Vitalie Spinu wrote:

>> However, I tried your test case with emacs trunk fd93edb built on 2015-03-27
>
>> In particular, the first backward-char (however invoked) brings point (which
>> does not visually move) 6 positions back (from the "d" of "dummy" to the "f"
>> of "fringe"); the next backward-char moves point by one position back to the
>> last space character before "fringe".
>
> This doesn't happen in current trunk, M-: (backward-char 1) doesn't move the
> pointer.

I guess you tested this in the *scratch* buffer, whereas I tested it in
a fundamental-mode buffer.

In *scratch* point seems indeed to be stuck on the "d" of "dummy" while
in fundamental-mode the behaviour is like I described it above.

However, fd93edb from 2015-03-27 behaves in the same way as trunk does,
in *scratch*, too.